Subject: Re: [PATCH ocaml-team v6 00/12] The one where OPAM finally works

From: pukkamustard <[email-masked]>
Date: Thu, 12 Oct 2023 09:18:46 +0000

Salut Julien,

I'm afraid your last messages somehow got dropped and I only saw them
now after checking the issue on issues.guix.gnu.org. Sorry for delayed
response.

> If you agree, I could push the first 11 patches to master.

Sounds good to me!

Only thing is that dune was updated again (dune releases are too fast
for us!). Maybe we can bump it to 3.11.0 before pushing to master?

If you think we should run it trough CI once again I can send in a V7
that bumps dune to 3.11.0 and includes Josselin's coq fixup.

> I managed to find all the required package updates and new packages to
> get frama-c to build again. I just need to figure out a good order and
> I'll send an updated patchset.

\o/ woohoo, nice!

Let me know if I can help in anyway.

-pukkamustard

pukkamustard <[email-masked]> writes:

> Hello Guix,
>
> Thanks to Julien's help this version finally build OPAM!
>
> I'm currently very slow and it will probably take quite a bit of time for me to
> look into the other things that could be updated in Guix's OCaml land (see
> https://yhetil.org/guix/[email-masked]/). Maybe it would make sense
> to merge this patch series into master instead of having a too long-lived
> ocaml-team branch? What do you think?
>
> Cheers,
> pukkamustard
>
> pukkamustard (12):
>   gnu: ocaml: Update to 4.14.1.
>   gnu: Update coq-flocq to 4.1.1.
>   gnu: Update coq-gappa to 1.5.3.
>   gnu: Update coq-coquelicot to 3.4.0.
>   gnu: Update coq-mathcomp to 1.17.0.
>   gnu: Update coq-autosubst to 1.8.
>   gnu: Update coq-stdpp to 1.8.0.
>   gnu: Update coq-interval to 4.8.0.
>   gnu: coq: Update to 8.17.1.
>   gnu: dune-bootstrap: Update to 3.10.0.
>   gnu: opam: Split build into smaller sub-packages.
>   gnu: opam: Update to 2.1.5.
>
>  gnu/local.mk                                  |   4 -
>  gnu/packages/coq.scm                          | 152 +++----
>  gnu/packages/ocaml.scm                        | 410 +++++++++++-------
>  .../ocaml-dose3-Fix-for-ocaml-4.06.patch      |  52 ---
>  .../ocaml-dose3-Install-mli-cmx-etc.patch     | 133 ------
>  .../ocaml-dose3-add-unix-dependency.patch     |  25 --
>  .../ocaml-dose3-dont-make-printconf.patch     |   9 -
>  7 files changed, 331 insertions(+), 454 deletions(-)
>  delete mode 100644 gnu/packages/patches/ocaml-dose3-Fix-for-ocaml-4.06.patch
>  delete mode 100644 gnu/packages/patches/ocaml-dose3-Install-mli-cmx-etc.patch
>  delete mode 100644 gnu/packages/patches/ocaml-dose3-add-unix-dependency.patch
>  delete mode 100644 gnu/packages/patches/ocaml-dose3-dont-make-printconf.patch
>
>
> base-commit: 5db78e7c1b06d1b4892bdb3e153b95b21577271e